compact1, compact2, compact3
javax.net.ssl

## Class SSLKeyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.net.ssl.SSLException
        - - javax.net.ssl.SSLKeyException

All Implemented Interfaces:
  Serializable

    public class SSLKeyException
    extends SSLException

Reports a bad SSL key. Normally, this indicates misconfiguration of the server or client SSL certificate and private key.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SSLKeyException(String reason)` Constructs an exception reporting a key management error found by an SSL subsystem.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SSLKeyException

    public SSLKeyException(String reason)

Constructs an exception reporting a key management error found by an SSL subsystem.

Parameters:
  `reason` - describes the problem.